{%- from "ceph/map.jinja" import backup with context -%}
#!/bin/bash

# Script to erase old backups on ceph 'server role' node.
# ---------

    BACKUPDIR="{{ backup.backup_dir }}/full"
    KEEP={{ backup.server.full_backups_to_keep }}

# Cleanup
# ---------
echo "Cleanup started. Keeping only $KEEP full backups for every subdir."
echo "============================"
BACKUP_SUBDIRS=$(find /srv/volumes/backup/ceph/full -maxdepth 1 -mindepth 1 -type d)
if [ {% raw %}${#BACKUP_SUBDIRS}{% endraw %} -gt 0 ] ; then
    for SUBDIR in $BACKUP_SUBDIRS
    do
        echo "Cleaning $SUBDIR"
        NUMBER_OF_FULL=$(find $SUBDIR -maxdepth 1 -mindepth 1 -print | wc -l)
        FULL_TO_DELETE=$(( $NUMBER_OF_FULL - $KEEP ))
        if [ $FULL_TO_DELETE -gt 0 ] ; then
            cd $SUBDIR
            TO_DELETE=$(ls -t | tail -n -$FULL_TO_DELETE | xargs -d '\n')
            echo "Folowing backups will be deleted: $TO_DELETE"
            ls -t | tail -n -$FULL_TO_DELETE | xargs -d '\n' rm -rf
        else
            echo "There are less full backups than required, not deleting anything."
        fi
        echo "----------------------------"
    done
else
    NUMBER_OF_FULL=$(find $BACKUPDIR -maxdepth 1 -mindepth 1 -print| wc -l)
    FULL_TO_DELETE=$(( $NUMBER_OF_FULL - $KEEP ))
    if [ $FULL_TO_DELETE -gt 0 ] ; then
        cd $BACKUPDIR
        ls -t | tail -n -$FULL_TO_DELETE | xargs -d '\n' rm -rf
    else
        echo "There are less full backups than required, not deleting anything."
    fi
fi
